require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        matricule: {
            type: 'string',
            required: true
        },
        codeParent: {
            type: 'string',
            required: true
        },
        typeFiliation: {
            type: 'string',
            required: true
        },
        actif: {
            type: 'string',
        },

        codeEcole: {
            type: 'string',
            required: true

        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let filiationCreate;
        let filiation = await Filiation.find({ matricule: inputs.matricule, codeParent: inputs.codeParent, codeEcole: inputs.codeEcole }).then(_.first)
        if (filiation) {

            return exits.notFound({ message: "Cette filiation existe déja, veuillez la modifier!" })
        } else {
            filiationCreate = await Filiation.create(inputs).fetch();
        }
        // All done.
        return exits.success(filiationCreate);

    }


};
